Package relaxngcc.runtime

## Interface NGCCEventSource

- All Known Implementing Classes:
    `NGCCInterleaveFilter`, `NGCCRuntime`

      public interface NGCCEventSource

  Author:
    Kohsuke Kawaguchi (kk@kohsuke.org)

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `replace​(NGCCEventReceiver _old, NGCCEventReceiver _new)` | Replaces an old handler with a new handler, and returns ID of the EventReceiver thread.
    `void` | `sendEnterAttribute​(int receiverThreadId, java.lang.String uri, java.lang.String local, java.lang.String qname)` |
    `void` | `sendEnterElement​(int receiverThreadId, java.lang.String uri, java.lang.String local, java.lang.String qname, org.xml.sax.Attributes atts)` | Sends an enter element event to the specified EventReceiver thread.
    `void` | `sendLeaveAttribute​(int receiverThreadId, java.lang.String uri, java.lang.String local, java.lang.String qname)` |
    `void` | `sendLeaveElement​(int receiverThreadId, java.lang.String uri, java.lang.String local, java.lang.String qname)` |
    `void` | `sendText​(int receiverThreadId, java.lang.String value)` |

- - ### Method Detail

    - #### replace

          int replace​(NGCCEventReceiver _old,
                      NGCCEventReceiver _new)

      Replaces an old handler with a new handler, and returns ID of the EventReceiver thread.

    - #### sendEnterElement

          void sendEnterElement​(int receiverThreadId,
                                java.lang.String uri,
                                java.lang.String local,
                                java.lang.String qname,
                                org.xml.sax.Attributes atts)
                         throws org.xml.sax.SAXException

      Sends an enter element event to the specified EventReceiver thread.
      Throws:
        `org.xml.sax.SAXException`

    - #### sendLeaveElement

          void sendLeaveElement​(int receiverThreadId,
                                java.lang.String uri,
                                java.lang.String local,
                                java.lang.String qname)
                         throws org.xml.sax.SAXException

      Throws:
        `org.xml.sax.SAXException`

    - #### sendEnterAttribute

          void sendEnterAttribute​(int receiverThreadId,
                                  java.lang.String uri,
                                  java.lang.String local,
                                  java.lang.String qname)
                           throws org.xml.sax.SAXException

      Throws:
        `org.xml.sax.SAXException`

    - #### sendLeaveAttribute

          void sendLeaveAttribute​(int receiverThreadId,
                                  java.lang.String uri,
                                  java.lang.String local,
                                  java.lang.String qname)
                           throws org.xml.sax.SAXException

      Throws:
        `org.xml.sax.SAXException`

    - #### sendText

          void sendText​(int receiverThreadId,
                        java.lang.String value)
                 throws org.xml.sax.SAXException

      Throws:
        `org.xml.sax.SAXException`